import CONFIG from '@/config'
export const formatTime = date => {
  const year = date.getFullYear();
  const month = date.getMonth() + 1;
  const day = date.getDate();
  const hour = date.getHours();
  const minute = date.getMinutes();
  const second = date.getSeconds();
  return [year, month, day].map(formatNumber).join('/') + ' ' + [hour, minute, second].map(formatNumber).join(':');
};

export const formatNumber = n => {
  n = n.toString();
  return n[1] ? n : '0' + n;
};
export function  resetNum(num, type = 'first', fixNum = 6) {
	const pow = Math.pow(10, fixNum);
	if (type === 'end') {
		return (Number(num) / pow).toFixed(4)
	}
	return Number(num) * pow
	  
  }
export function setTabBarBadge (num, index = 1) {
	if (num < 1) {
		uni.removeTabBarBadge({
			index
		})
		return
	}
	uni.setTabBarBadge({
	  //给tabBar添加角标
	  index,
	  text: String(num)
	});
}
export function toast(message = 'message', duration = 2000) {
	uni.showToast({
		title: message,
		icon: 'none',
		duration
	})
}
export function getFileList (url) {
	
	const imgType = ['.png', '.jpeg', '.jpg','.xbm','.tif','.ico','.tiff','.gif','.svg','.webp','.bmp','.pjp','.apng','.pjpeg','.avif']
	const urls = url ? url.split(',') : []
	return urls.map(v => {
		const isImg = imgType.some(item => v.includes(item))
		const type = isImg ? 'img' : 'video'
		console.Console
		return {
			type,
			_url: v,
			url: CONFIG.imgUrl + v
		}
	})
	 
}
export const debounce = (() => {
  let timer = null
  return (callback, wait = 800) => {
    timer&&clearTimeout(timer)
    timer = setTimeout(callback, wait)
  }
})();